/*
 *  Copyright (c) 2007-2008 Jiri Benc <jbenc@upir.cz>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef _CMDNAVIGATOR_H
#define _CMDNAVIGATOR_H
#include <gtk/gtk.h>

struct cmd {
	guint id;
	guint flags;
	guchar *name;
	guchar *cmd;
	struct cmd *next;
};

enum {
	CMD_FLAG_XTERM		= 1 << 0,
	CMD_FLAG_ROOT		= 1 << 1,

	CMD_FLAG_CHANGED	= 1 << 2,
	CMD_FLAG_DELETED	= 1 << 3,
};

#endif
